#!/ysr/bin/env python
#-*- coding:utf-8 -*-
__author__ = "yua"

from boto3.session import Session

class AWSClient(object):
    def __init__(self, aws_access_key_id="", aws_secret_access_key="", region=""):
        self.aws_access_key_id = aws_access_key_id
        self.aws_secret_access_key = aws_secret_access_key
        self.region = region

    def get_session(self, *args):
        """
        获取boto3 session
        :param args:
        :return: boto3 session object
        """
        return Session(aws_access_key_id=self.aws_access_key_id, aws_secret_access_key=self.aws_secret_access_key, region_name=self.region)