#!/ysr/bin/env python
#-*- coding:utf-8 -*-
__author__ = "yua"

from .AWSClient import AWSClient

class EC2InstanceClient(AWSClient):
    def __init__(self, aws_access_key_id="", aws_secret_access_key="", region="", instance_id=""):
        super().__init__(aws_access_key_id, aws_secret_access_key, region)
        self.client = super().get_session().client('ec2')
        self.resource = super().get_session().resource('ec2')
        self.instance_id = instance_id

    def get_instance_private_ip(self):
        return self.resource.Instance(self.instance_id).private_ip_address

    def get_all_instance_private_ip(self,list_instance_id):
        pass
